boltDedicated Servers

⚡ Deployments

[v2] Deploy

post

[Rate Limit: 40/seconds] Initiate a new deployment. A deployment is a containerized server instance of an application version running on the Edgegap platform.

Authorizations
AuthorizationstringRequired
Body
applicationstringRequired

Name of the application that will be deployed

Example: my-app
versionstringRequired

Name of the version within the application that will be deployed

Example: 25.05.30-16.45.19-04
require_cached_locationsboolean · nullableOptional

Deploy faster by limiting placement to locations with cached image.

Default: false
tagsstring[]Optional

List of tags to associate with the deployment

Example: my-custom-tag
Responses
post
/deployments

Get a Deployment Status and Information

get

[Rate Limit: 20/second] Retrieve the information for a deployment.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Path parameters
request_idstringRequired

Unique Identifier to keep track of your request across all Arbitrium ecosystem. It's included in the response of the app deploy, example:

93924761ccde
Responses
chevron-right
200

Success

application/json
request_idstringRequired

The Unique ID of the Deployment's request

Example: c0653765de3b
fqdnstringRequired

The FQDN that allow to connect to your Deployment

Example: abc123.test.edgegap.com
app_namestringRequired

The name of the deployed App

Example: test
app_versionstringRequired

The version of the deployed App

Example: v1
current_statusstringRequired

The current status of the Deployment

Example: Status.DEPLOYING
runningbooleanRequired

True if the current Deployment is ready to be connected and running

Example: true
whitelisting_activebooleanRequired

True if the current Deployment is ACL protected

Example: true
start_timestringRequired

Timestamp of the Deployment when it is up and running

Example: 2026-02-23 20:01:36.893859
removal_timestringOptional

Timestamp of the end of the Deployment

Example: 2026-02-23 20:01:36.893859
elapsed_timeintegerRequired

Time since the Deployment is up and running in seconds

last_statusstringOptional

The last status of the Deployment

Example: Status.SEEKING
errorbooleanRequired

True if there is an error with the Deployment

Example: true
error_detailstringOptional

The error details of the Deployment

public_ipstringRequired

The public IP

Example: 100.10.0.85
tagsstring[]Optional

List of tags associated with the deployment

socketsintegerOptional

The Capacity of the Deployment

Example: 5
sockets_usageintegerOptional

The Capacity Usage of the Deployment

Example: 2
commandstringOptional

The command to use in the container, null mean it will take the default of the container

argumentsstringOptional

The arguments to use in the container, null mean it will take the default of the container

max_durationintegerRequired

The deployment's maximum duration is the time, in minutes, that the deployment will remain active before automatically closing.

get
/v1/status/{request_id}

Stop a deployment

delete

Request to stop a Deployment, triggering a graceful shutdown (SIGTERM). Returns 200 or 202 if deployment status is not READY and not ERROR, and stops deployment once either of these statuses is reached - see Deployment Lifecycle.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Path parameters
request_idstringRequired

Unique Identifier to keep track of your request across all Edgegap ecosystem. It's included in the response of the app deploy, example:

93924761ccde
Query parameters
container_log_storagestringOptional

If you want to enable the container log storage for the deployment. You can put 'true' if you already have endpoint storage associated with your deployment's app version. You can put 'false' if it is enabled by default and you want to disable it for this specific request. Or you can put the name of your endpoint storage and if it is valid we will store the container logs.

Responses
chevron-right
200

Success

application/json
messagestringRequired

A message depending of the request termination

Example: Instance 93924761ccde will be deleted
delete
/v1/stop/{request_id}

Delete a Deployment from inside the container

delete

Delete a deployment from the inside of a container. You should use this URL inside your deployment. The URL is injected in your deployment and can be found via the environment variable ARBITRIUM_DELETE_URL.

Path parameters
request_idstringRequired

Unique Identifier to keep track of your request across all Arbitrium ecosystem. It's included in the response of the app deploy, example:

93924761ccde
access_point_idintegerRequired

Access Point Number provided by our system

Query parameters
container_log_storagestringOptional

If you want to enable the container log storage for the deployment. You can put 'true' if you already have endpoint storage associated with your deployment's app version. You can put 'false' if it is enabled by default and you want to disable it for this specific request. Or you can put the name of your endpoint storage and if it is valid we will store the container logs.

Header parameters
authorizationstringRequired

Auto Generated token. This token is injected in your deployment and can be found via the environment variable named ARBITRIUM_DELETE_TOKEN

Responses
chevron-right
200

Success

application/json
messagestringRequired

A message depending of the request termination

Example: Instance 93924761ccde will be deleted
delete
/v1/self/stop/{request_id}/{access_point_id}

Delete Deployments in Bulk

post

Make a bulk delete of deployments using filters. All the deployments matching the given filters will be permanently deleted.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Body
Responses
post
/v1/deployments/bulk-stop

List All Deployments

get

[Rate Limit: 10/second] List all deployments.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Query parameters
querystringOptional

Query to filter the deployments.

Responses
chevron-right
200

Success

application/json
total_countintegerOptional

Total Objects in the Database

messagestring[]Optional

Extra Messages for the query

Example: [""]
get
/v1/deployments

List All Locations

get

List all the locations available to deploy on. You can specify an application and a version to filter out the locations that don’t have enough resources to deploy this application version.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Query parameters
appstringOptional

The App Name you want to filter with capacity

versionstringOptional

The Version Name you want to filter with capacity

typestringOptional

The type of the location

tagsstringOptional

Gets locations with tags. Set to: "true" to have the tags

Responses
chevron-right
200

Success

application/json
messagesstring[]Optional

Extra Messages for the query

Example: [""]
get
/v1/locations

Get Deployment Container Logs

get

Retrieve the logs of your container. Logs are not available when your deployment is terminated. You can set up an endpoint storage to save your logs. Endpoint Storage Documentation

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Path parameters
request_idstringRequired
Responses
chevron-right
200

Success

application/json
logsstringOptional

Auto Generated Field for logs

Example: Logs of the container
encodingstringOptional

Auto Generated Field for encoding

Example: utf-8
crash_logsstringOptional

Auto Generated Field for crash_logs

Example: Logs of the container when it crashed
logs_linkstringOptional

Auto Generated Field for logs_link

Example: Link to the logs
get
/v1/deployment/{request_id}/container-logs

Get a Deployment Metrics

get

Get the metrics for a specific deployment based on the start_time, end_time and steps. raw parameter can be set to true to get the raw data.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Path parameters
request_idstringRequired
Query parameters
start_timestringOptional

Starting time for the query. Default to deployment start time. Should match %Y-%m-%d %H:%M:%S.%f

	Example: 2021-07-10 00:00:00.00
end_timestringOptional

End time for the metrics. Default to now.Must be greater than start_time. Should match %Y-%m-%d %H:%M:%S.%f

	Example: 2021-07-19 00:00:00.00
stepsstringOptional

Steps between each metrics.

	Example: 30s, 1m, 5m 10m, 1h
rawstringOptional

If set to true, will return the raw data. Default to false.

Responses
chevron-right
200

Success

application/json
get
/v1/metrics/deployment/{request_id}

Legacy [v1]

circle-exclamation

Create a Deployment request.

post

[Rate Limit: 40/second] Create a new deployment. A deployment is a containerized instance of an application version running on the Edgegap platform.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Body
app_namestringRequired

The application you want to deploy a version of.

Example: kart-racing
version_namestringOptional

The application version you want to deploy a container, if not present, the last version created is automatically chosen.

Example: production-v1.0
is_public_appbooleanOptional

(DEPRECATED) - No longer used and you don't need to set it.

Default: false
ip_liststring[]Optional

This parameter is not optional, but mutually exclusive with the geo_ip_list parameter. One of them is required. List of IP representing your users. These will be used to determine the best location for your deployment.

telemetry_profile_uuid_liststring[]Optional

(DEPRECATED)

Example: ["85cf70e6-f871-42c6-96f0-65ff5bd469b5"]
skip_telemetrybooleanOptional

If true, the deployment will skip the telemetry measurement. This result in a faster time to deploy.

Default: true
webhook_urlstringOptional

A URL to send a POST request when the deployment is ready. The request will contain the deployment status. The content of the request is the same as the v1/status/{request_id} endpoint.

Example: https://www.webhook.com/
tagsstring[]Optional

List of tags associated with the deployment. These tags will be shown in the dashboard.

ap_sort_strategystring · enumOptional

(DEPRECATED) - No longer used and you don't need to set it.

Example: basicPossible values:
commandstring · nullableOptional

Allows to override the container command for this deployment. This is an advanced feature and should be used with caution.If set to null, the default command of the container will be used.

Example: null | 'string'
argumentsstring · nullableOptional

Allows to override the container arguments for this deployment. This is an advanced feature and should be used with caution.If set to null, the default arguments of the container will be used.

Example: null | 'string'
Responses
chevron-right
200

Success

application/json
request_idstringRequired

The identifier of the deployment request. This is used to track the deployment.

Example: 61b1be8f54d9
request_dnsstringRequired

This is the FQDN that allow to connect to your Deployment. It will not resolve until the deployment is ready.

Example: 61b1be8f54d9.pr.edgegap.net
request_appstringRequired

The application that has been deployed.

Example: kart-racing
request_versionstringRequired

The version of the application that has been deployed.

Example: v1.0
request_user_countintegerRequired

This is the number of IP you have provided in the deployment request.

Example: 4
tagsstring[]Optional

List of tags that have been injected in the deployment request. This field will only be present if tags were provided in the request.

ap_sort_strategystring · enumOptional

(DEPRECATED) - Will only be present if the request was made with the ap_sort_strategy field.

Example: basicPossible values:
post
/v1/deploy

🗺️ Private Fleets

Deploy to Fleet

post

[Rate Limit: 40/seconds] Initiate a new private fleet deployment. A deployment is a containerized server instance of an application version running on the Edgegap platform.

Authorizations
AuthorizationstringRequired
Body
applicationstringRequired

Name of the application that will be deployed

Example: my-app
versionstringRequired

Name of the version within the application that will be deployed

Example: 25.05.30-16.45.19-04
require_cached_locationsboolean · nullableOptional

Deploy faster by limiting placement to locations with cached image.

Default: false
private_host_idsstring[] · min: 1Required

Preferred and prioritized Private Host IDs to try before overflowing to cloud.

Example: alpha-north-america-95fab093
tagsstring[]Optional

List of tags to associate with the deployment

Example: my-custom-tag
Responses
post
/private-fleets/deployments

List Private Fleet Hosts

get

[Rate Limit: 10/seconds] List all hosts in a private fleet.

Authorizations
AuthorizationstringRequired
Path parameters
fleet-namestringRequired

Name of your private fleet.

Example: test-fleet
Responses
chevron-right
200Success
application/json
get
/private-fleets/{fleet-name}/hosts

🔖 Tags

List tags for a Deployment

get

List tags for a deployment.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Path parameters
request_idstringRequired
Responses
chevron-right
200

Success

application/json
countintegerOptional
paginationobjectOptional
get
/v1/deployments/{request_id}/tags

Get tag for a Deployment

get

Get tag for a deployment.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Path parameters
request_idstringRequired
tag_namestringRequired
Responses
chevron-right
200

Success

application/json
namestringRequired

The name of the tag

Example: v1.0.0
create_timestringOptional

UTC time of policy creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptional

UTC time of policy last update

Example: 2022-01-01 00:00:00.000000
get
/v1/deployments/{request_id}/tags/{tag_name}

Create Tag for a Deployment

post

Create a tag for a deployment. The tag will however not be injected into a running container.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Path parameters
request_idstringRequired
Body
namestring · max: 20Required

The name of the tag

Example: v1.0.0
Responses
chevron-right
200

Success

application/json
namestringRequired

The name of the tag

Example: v1.0.0
create_timestringOptional

UTC time of policy creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptional

UTC time of policy last update

Example: 2022-01-01 00:00:00.000000
post
/v1/deployments/{request_id}/tags

Delete Tag for a Deployment

delete

Delete a tag for a deployment. The tag will however not be removed from the environment of a running container.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Path parameters
request_idstringRequired
tag_namestringRequired
Responses
delete
/v1/deployments/{request_id}/tags/{tag_name}

No content

Update Tag for a Deployment

patch

Update a tag for a deployment.

Authorizations
authorizationstringRequired

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Path parameters
request_idstringRequired
tag_namestringRequired
Body
namestring · max: 20Required

The name of the tag

Example: v1.0.0
Responses
chevron-right
200

Success

application/json
namestringRequired

The name of the tag

Example: v1.0.0
create_timestringOptional

UTC time of policy creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptional

UTC time of policy last update

Example: 2022-01-01 00:00:00.000000
patch
/v1/deployments/{request_id}/tags/{tag_name}

Last updated

Was this helpful?